Crank up dbench, now that everything seems to be quite stable under load.
authorfsgqa <fsgqa>
Thu, 7 Nov 2002 05:42:19 +0000 (05:42 +0000)
committerfsgqa <fsgqa>
Thu, 7 Nov 2002 05:42:19 +0000 (05:42 +0000)
We now do 1, 10, 50, and 100 client runs each night.
Make sure the path back to the scripts directory is available in the
environment for scripts to get at if need be.

bench
common.dbench [new file with mode: 0755]
run.dbench
run.dbench10 [new file with mode: 0755]
run.dbench100 [new file with mode: 0755]
run.dbench50 [new file with mode: 0755]

diff --git a/bench b/bench
index bbcfcb656eb9eb405fa2006e32e26850d0e066df..cd7bc37dfdd92e74e367193028058201496f1570 100755 (executable)
--- a/bench
+++ b/bench
@@ -50,7 +50,7 @@
 owner=nathans@sgi.com
 
 tmp=/tmp/$$
-here=`pwd`
+here=`pwd`; export here
 status=1       # failure is the default!
 
 # get standard environment, filters and checks
@@ -134,7 +134,7 @@ _run_benchmark()
 _merge_results()
 {
     echo Results for $bench benchmark >>$OUT
-    echo results.$bench.* | sort -u | xargs cat >>$OUT
+    echo results.$bench.* | sort -nu | xargs cat >>$OUT
     echo >>$OUT
 }
 
diff --git a/common.dbench b/common.dbench
new file mode 100755 (executable)
index 0000000..d5fabb1
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/sh
+# 
+# Does a dbench run (10 clients if $DBENCH_CLIENTS is not set),
+# then massages the output into CSV format.
+# 
+DBENCH_CLIENTS=${DBENCH_CLIENTS:=10}
+
+run_dbench()
+{
+       mkdir ./dbench || exit 1
+       cd dbench
+       dbench $DBENCH_CLIENTS
+       status=$?
+       cd ..
+       rm -fr ./dbench
+       [ $status -ne 0 ] && exit 1
+}
+
+# 
+# Sample dbench output:
+# "Throughput 40.6701 MB/sec (NB=50.8376 MB/sec  406.701 MBit/sec)"
+# 
+if [ $# -gt 0 ]; then
+       echo "clients,MB/sec"
+       exit 0
+fi
+run_dbench | awk 'END { printf "%u,%s\n", '$DBENCH_CLIENTS', $2 }'
index d5fabb1af59b3bcd8b61400bd5ad2e5a2dc661e7..2ded1f2900f5b87eae4dbbfc4bd0b3fbf378d21f 100755 (executable)
@@ -1,27 +1,8 @@
 #!/bin/sh
 # 
-# Does a dbench run (10 clients if $DBENCH_CLIENTS is not set),
-# then massages the output into CSV format.
+# Does a single-client dbench run
 # 
-DBENCH_CLIENTS=${DBENCH_CLIENTS:=10}
+DBENCH_CLIENTS=1
+export DBENCH_CLIENTS
 
-run_dbench()
-{
-       mkdir ./dbench || exit 1
-       cd dbench
-       dbench $DBENCH_CLIENTS
-       status=$?
-       cd ..
-       rm -fr ./dbench
-       [ $status -ne 0 ] && exit 1
-}
-
-# 
-# Sample dbench output:
-# "Throughput 40.6701 MB/sec (NB=50.8376 MB/sec  406.701 MBit/sec)"
-# 
-if [ $# -gt 0 ]; then
-       echo "clients,MB/sec"
-       exit 0
-fi
-run_dbench | awk 'END { printf "%u,%s\n", '$DBENCH_CLIENTS', $2 }'
+exec $here/common.dbench
diff --git a/run.dbench10 b/run.dbench10
new file mode 100755 (executable)
index 0000000..5694fe3
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+# 
+# Does a dbench run with 10 clients
+# 
+DBENCH_CLIENTS=10
+export DBENCH_CLIENTS
+
+exec $here/common.dbench
diff --git a/run.dbench100 b/run.dbench100
new file mode 100755 (executable)
index 0000000..a69aa3c
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+# 
+# Does a dbench run with 100 clients
+# 
+DBENCH_CLIENTS=100
+export DBENCH_CLIENTS
+
+exec $here/common.dbench
diff --git a/run.dbench50 b/run.dbench50
new file mode 100755 (executable)
index 0000000..c410436
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+# 
+# Does a dbench run with 50 clients
+# 
+DBENCH_CLIENTS=50
+export DBENCH_CLIENTS
+
+exec $here/common.dbench